package org.opengroup.osdu.register.utils;

import java.nio.charset.StandardCharsets;
import java.util.Base64;

import com.google.common.hash.Hashing;

public class HashingUtil {

  private HashingUtil() {
  }

  public static String hashString(String crc, String secret) {
    String response = secret + crc;
    response = Hashing.sha256().hashString(response, StandardCharsets.UTF_8).toString();
    return Base64.getEncoder().encodeToString(response.getBytes());
  }
}
